/**
 * Style for questionSpreadsheetSurvey
 * @author Denis Chenu
 * @licence MIT
 * @version 1.0.0
 */
.speadsheet-element table.jexcel {
  width: 100%;
  table-layout: fixed;
}
td.jexcel_row {
  width: 4em;
}
.jexcel thead td {
  white-space: normal;
  -webkit-hyphens: manual;
  -ms-hyphens: manual;
  hyphens: manual;
}
.jexcel > tbody > tr > td.readonly {
  color: inherit;
  cursor: not-allowed;
  opacity: 0.7;
}
.jexcel > tbody > tr > td.readonly:hover {
  opacity: 1;
}
.jexcel > tbody > tr > td {
  overflow: hidden;
}
/* Workaround */
.jexcel > tbody > tr > td.dropdown {
  background-image: none;
}
.jexcel > tbody > tr > td.dropdown .dropdown-open {
  display: block;
  position: absolute;
  right: -5px;
  top: 0;
  z-index: 1;
  height: 28px;
  width: 28px;
  padding: 0.5em;
  cursor: pointer;
  background-repeat: no-repeat;
  background-position: top 50% right 5px;
  background-image: url("data:image/svg+xml,%0A%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath fill='none' d='M0 0h24v24H0V0z'/%3E%3Cpath d='M7 10l5 5 5-5H7z' fill='lightgray'/%3E%3C/svg%3E");
}
/* Column header decoration */
.popover.jexcel-popover {
  z-index: 1650;
}
.jexcel-question-text {
  display: inline;
}
.jexcel-help-over {
  float: none;
  position: absolute;
  top: 3px;
  right: 3px;
}
.jexcel > tbody > tr.line-working {
  background: #ddd;
}
.jexcel > tbody > tr.line-working {
  cursor: wait !important;
}
.jexcel > tbody > tr.line-working > * {
  pointer-events: none;
}
.jexcel > tbody > tr.line-working > td {
  opacity: 0.4;
  background: #ddd;
}
.jexcel > tbody > tr.line-working > td:first-child {
  background: #ddd;
  color: #ddd;
}

.jexcel > tbody > tr.line-working > td:first-child::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  margin: 0;
  margin-top: -0.5em;
  margin-left: -0.5em;
  display: block;
  width: 1em;
  height: 1em;
  border-style: solid;
  border-color: #000;
  border-top-color: transparent;
  border-width: 4px;
  border-radius: 50%;
  -webkit-animation: spin 0.8s linear infinite;
  animation: spin 0.8s linear infinite;
}

#speadsheet-ajax-loading {
  position: fixed;
  z-index: 10001;
  width: 100%;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.05);
}
#speadsheet-ajax-loading::after {
  content: "";
  display: block;
  margin: 0 auto;
  margin-top: 50vh;
  width: 4rem;
  height: 4rem;
  border-style: solid;
  border-color: white;
  border-top-color: transparent;
  border-width: 0.4rem;
  border-radius: 50%;
  -webkit-animation: spin 0.8s linear infinite;
  animation: spin 0.8s linear infinite;
}
